Subject: bug#17713: First portion of `bt full`

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jun 2014 11:00:21 +0300

> From: Geoff Shannon <[email-masked]>
> Date: Fri, 6 Jun 2014 00:57:10 -0700
> Cc: [email-masked]
> 
> > Are you sure it is hung, and not in some very long GC?  I see nothing
> > wrong in the backtrace you sent, it just shows that Emacs is
> > collecting garbage.  Lots of it.  It is not unusual for GC to have
> > tens of thousands of recursive calls to mark_object, because GC is
> > highly recursive.
> >
> 
> Not sure at all, but before I decided it was hung I let it sit for several
> seconds at least.

Several seconds is too little.

> > If you leave it running, does it eventually recover and become
> > responsive again?  Or does it keep being stuck forever?
> >
> 
> So I let it run in the debugger again.  It is still unresponsive, though it
> is still blinking the
> cursor.  It seems to be totally unresponsive to keystrokes and mouseclicks
> (it's a GTK windowed emacs).

Let's see if it comes back to life any time soon.

Did you customize any GC-related options, like gc-cons-threshold?